// _GestionOutil_Interface.java
// Created on 19 août 2010 by JavaClient Wizard 1.0
/*
 * Copyright Consortium Cocktail
 *
 * cocktail@univ-lr.fr
 *
 * Logiciel de gestion des ressources humaines des établissements.
 *
 * Ce logiciel est régi par la licence CeCILL soumise au droit français et
 * respectant les principes de diffusion des logiciels libres. Vous pouvez
 * utiliser, modifier et/ou redistribuer ce programme sous les conditions
 * de la licence CeCILL telle que diffusée par le CEA, le CNRS et l'INRIA
 * sur le site "http://www.cecill.info".

 * En contrepartie de l'accessibilité au code source et des droits de copie,
 * de modification et de redistribution accordés par cette licence, il n'est
 * offert aux utilisateurs qu'une garantie limitée.  Pour les mêmes raisons,
 * seule une responsabilité restreinte pèse sur l'auteur du programme,  le
 * titulaire des droits patrimoniaux et les concédants successifs.

 * A cet égard  l'attention de l'utilisateur est attirée sur les risques
 * associés au chargement,  à l'utilisation,  à la modification et/ou au
 * développement et à la reproduction du logiciel par l'utilisateur étant
 * donné sa spécificité de logiciel libre, qui peut le rendre complexe à
 * manipuler et qui le réserve donc à des développeurs et des professionnels
 * avertis possédant  des  connaissances  informatiques approfondies.  Les
 * utilisateurs sont donc invités à charger  et  tester  l'adéquation  du
 * logiciel à leurs besoins dans des conditions permettant d'assurer la
 * sécurité de leurs systèmes et ou de leurs données et, plus généralement,
 * à l'utiliser et l'exploiter dans les mêmes conditions de sécurité.

 * Le fait que vous puissiez accéder à cet en-tête signifie que vous avez
 * pris connaissance de la licence CeCILL, et que vous en avez accepté les
 * termes.
 */
package org.cocktail.mangue.client.onglets;
import org.cocktail.component.COFrame;

/**
 *
 * @author  christine
 */
public class _GestionOutils_Interface extends COFrame {

    /** Creates new form _GestionOutil_Interface */
    public _GestionOutils_Interface() {
        super();
        initComponents();
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jTabbedPane1 = new javax.swing.JTabbedPane();
        Editions = new javax.swing.JPanel();
        jTabbedPane4 = new javax.swing.JTabbedPane();
        Personnels = new javax.swing.JPanel();
        Absences = new javax.swing.JPanel();
        Activites = new javax.swing.JPanel();
        Services = new javax.swing.JPanel();
        Divers = new javax.swing.JPanel();
        EtatDesPersonnels = new javax.swing.JPanel();
        DIF = new javax.swing.JPanel();
        DossierMedical = new javax.swing.JPanel();
        jTabbedPane5 = new javax.swing.JTabbedPane();
        Medecins = new javax.swing.JPanel();
        ResponsablesAcmo = new javax.swing.JPanel();
        EditionExamens = new javax.swing.JPanel();
        EditionVaccins = new javax.swing.JPanel();
        EditionVisites = new javax.swing.JPanel();
        Extractions = new javax.swing.JPanel();
        jTabbedPane3 = new javax.swing.JTabbedPane();
        EtatComparatif = new javax.swing.JPanel();
        Elections = new javax.swing.JPanel();
        jTabbedPane2 = new javax.swing.JTabbedPane();
        Parametrage = new javax.swing.JPanel();
        ListesElectorales = new javax.swing.JPanel();

        setControllerClassName("org.cocktail.mangue.client.onglets.GestionOutil");
        setSize(new java.awt.Dimension(906, 650));

        jTabbedPane1.setFont(new java.awt.Font("Helvetica", 0, 12)); // NOI18N

        Editions.setFont(new java.awt.Font("Helvetica", 0, 12));

        jTabbedPane4.setFont(new java.awt.Font("Helvetica", 0, 12));

        Personnels.setFont(new java.awt.Font("Helvetica", 0, 12));

        org.jdesktop.layout.GroupLayout PersonnelsLayout = new org.jdesktop.layout.GroupLayout(Personnels);
        Personnels.setLayout(PersonnelsLayout);
        PersonnelsLayout.setHorizontalGroup(
            PersonnelsLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 850, Short.MAX_VALUE)
        );
        PersonnelsLayout.setVerticalGroup(
            PersonnelsLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 631, Short.MAX_VALUE)
        );

        jTabbedPane4.addTab("Personnels", Personnels);

        Absences.setFont(new java.awt.Font("Helvetica", 0, 12));

        org.jdesktop.layout.GroupLayout AbsencesLayout = new org.jdesktop.layout.GroupLayout(Absences);
        Absences.setLayout(AbsencesLayout);
        AbsencesLayout.setHorizontalGroup(
            AbsencesLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 850, Short.MAX_VALUE)
        );
        AbsencesLayout.setVerticalGroup(
            AbsencesLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 631, Short.MAX_VALUE)
        );

        jTabbedPane4.addTab("Absences", Absences);

        Activites.setFont(new java.awt.Font("Helvetica", 0, 12));

        org.jdesktop.layout.GroupLayout ActivitesLayout = new org.jdesktop.layout.GroupLayout(Activites);
        Activites.setLayout(ActivitesLayout);
        ActivitesLayout.setHorizontalGroup(
            ActivitesLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 850, Short.MAX_VALUE)
        );
        ActivitesLayout.setVerticalGroup(
            ActivitesLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 631, Short.MAX_VALUE)
        );

        jTabbedPane4.addTab("Activités", Activites);

        Services.setFont(new java.awt.Font("Helvetica", 0, 12));

        org.jdesktop.layout.GroupLayout ServicesLayout = new org.jdesktop.layout.GroupLayout(Services);
        Services.setLayout(ServicesLayout);
        ServicesLayout.setHorizontalGroup(
            ServicesLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 850, Short.MAX_VALUE)
        );
        ServicesLayout.setVerticalGroup(
            ServicesLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 631, Short.MAX_VALUE)
        );

        jTabbedPane4.addTab("Services", Services);

        Divers.setFont(new java.awt.Font("Helvetica", 0, 12));

        org.jdesktop.layout.GroupLayout DiversLayout = new org.jdesktop.layout.GroupLayout(Divers);
        Divers.setLayout(DiversLayout);
        DiversLayout.setHorizontalGroup(
            DiversLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 850, Short.MAX_VALUE)
        );
        DiversLayout.setVerticalGroup(
            DiversLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 631, Short.MAX_VALUE)
        );

        jTabbedPane4.addTab("Divers", Divers);

        org.jdesktop.layout.GroupLayout EditionsLayout = new org.jdesktop.layout.GroupLayout(Editions);
        Editions.setLayout(EditionsLayout);
        EditionsLayout.setHorizontalGroup(
            EditionsLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(EditionsLayout.createSequentialGroup()
                .addContainerGap()
                .add(jTabbedPane4, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 855, Short.MAX_VALUE)
                .addContainerGap())
        );
        EditionsLayout.setVerticalGroup(
            EditionsLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(EditionsLayout.createSequentialGroup()
                .addContainerGap()
                .add(jTabbedPane4, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 661, Short.MAX_VALUE))
        );

        jTabbedPane1.addTab("Editions", Editions);

        EtatDesPersonnels.setFont(new java.awt.Font("Helvetica", 0, 12));

        org.jdesktop.layout.GroupLayout EtatDesPersonnelsLayout = new org.jdesktop.layout.GroupLayout(EtatDesPersonnels);
        EtatDesPersonnels.setLayout(EtatDesPersonnelsLayout);
        EtatDesPersonnelsLayout.setHorizontalGroup(
            EtatDesPersonnelsLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 875, Short.MAX_VALUE)
        );
        EtatDesPersonnelsLayout.setVerticalGroup(
            EtatDesPersonnelsLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 672, Short.MAX_VALUE)
        );

        jTabbedPane1.addTab("Etat des Personnels", EtatDesPersonnels);

        DIF.setFont(new java.awt.Font("Helvetica", 0, 12));

        org.jdesktop.layout.GroupLayout DIFLayout = new org.jdesktop.layout.GroupLayout(DIF);
        DIF.setLayout(DIFLayout);
        DIFLayout.setHorizontalGroup(
            DIFLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 875, Short.MAX_VALUE)
        );
        DIFLayout.setVerticalGroup(
            DIFLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 672, Short.MAX_VALUE)
        );

        jTabbedPane1.addTab("DIF", DIF);

        DossierMedical.setFont(new java.awt.Font("Helvetica", 0, 12));

        jTabbedPane5.setFont(new java.awt.Font("Helvetica", 0, 12));

        Medecins.setFont(new java.awt.Font("Helvetica", 0, 12));

        org.jdesktop.layout.GroupLayout MedecinsLayout = new org.jdesktop.layout.GroupLayout(Medecins);
        Medecins.setLayout(MedecinsLayout);
        MedecinsLayout.setHorizontalGroup(
            MedecinsLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 774, Short.MAX_VALUE)
        );
        MedecinsLayout.setVerticalGroup(
            MedecinsLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 620, Short.MAX_VALUE)
        );

        jTabbedPane5.addTab("Médecins", Medecins);

        ResponsablesAcmo.setFont(new java.awt.Font("Helvetica", 0, 12));

        org.jdesktop.layout.GroupLayout ResponsablesAcmoLayout = new org.jdesktop.layout.GroupLayout(ResponsablesAcmo);
        ResponsablesAcmo.setLayout(ResponsablesAcmoLayout);
        ResponsablesAcmoLayout.setHorizontalGroup(
            ResponsablesAcmoLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 774, Short.MAX_VALUE)
        );
        ResponsablesAcmoLayout.setVerticalGroup(
            ResponsablesAcmoLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 620, Short.MAX_VALUE)
        );

        jTabbedPane5.addTab("Responsables Acmo", ResponsablesAcmo);

        EditionExamens.setFont(new java.awt.Font("Helvetica", 0, 12));

        org.jdesktop.layout.GroupLayout EditionExamensLayout = new org.jdesktop.layout.GroupLayout(EditionExamens);
        EditionExamens.setLayout(EditionExamensLayout);
        EditionExamensLayout.setHorizontalGroup(
            EditionExamensLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 774, Short.MAX_VALUE)
        );
        EditionExamensLayout.setVerticalGroup(
            EditionExamensLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 620, Short.MAX_VALUE)
        );

        jTabbedPane5.addTab("Edition Examens", EditionExamens);

        EditionVaccins.setFont(new java.awt.Font("Helvetica", 0, 12));

        org.jdesktop.layout.GroupLayout EditionVaccinsLayout = new org.jdesktop.layout.GroupLayout(EditionVaccins);
        EditionVaccins.setLayout(EditionVaccinsLayout);
        EditionVaccinsLayout.setHorizontalGroup(
            EditionVaccinsLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 774, Short.MAX_VALUE)
        );
        EditionVaccinsLayout.setVerticalGroup(
            EditionVaccinsLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 620, Short.MAX_VALUE)
        );

        jTabbedPane5.addTab("Edition Vaccins", EditionVaccins);

        EditionVisites.setFont(new java.awt.Font("Helvetica", 0, 12));

        org.jdesktop.layout.GroupLayout EditionVisitesLayout = new org.jdesktop.layout.GroupLayout(EditionVisites);
        EditionVisites.setLayout(EditionVisitesLayout);
        EditionVisitesLayout.setHorizontalGroup(
            EditionVisitesLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 774, Short.MAX_VALUE)
        );
        EditionVisitesLayout.setVerticalGroup(
            EditionVisitesLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 620, Short.MAX_VALUE)
        );

        jTabbedPane5.addTab("Edition Visites", EditionVisites);

        org.jdesktop.layout.GroupLayout DossierMedicalLayout = new org.jdesktop.layout.GroupLayout(DossierMedical);
        DossierMedical.setLayout(DossierMedicalLayout);
        DossierMedicalLayout.setHorizontalGroup(
            DossierMedicalLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(DossierMedicalLayout.createSequentialGroup()
                .add(38, 38, 38)
                .add(jTabbedPane5, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 779, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(58, Short.MAX_VALUE))
        );
        DossierMedicalLayout.setVerticalGroup(
            DossierMedicalLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(DossierMedicalLayout.createSequentialGroup()
                .addContainerGap()
                .add(jTabbedPane5, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 650, Short.MAX_VALUE)
                .addContainerGap())
        );

        jTabbedPane1.addTab("Dossier Médical", DossierMedical);

        Extractions.setFont(new java.awt.Font("Helvetica", 0, 12));

        jTabbedPane3.setFont(new java.awt.Font("Helvetica", 0, 12));

        EtatComparatif.setFont(new java.awt.Font("Helvetica", 0, 12));

        org.jdesktop.layout.GroupLayout EtatComparatifLayout = new org.jdesktop.layout.GroupLayout(EtatComparatif);
        EtatComparatif.setLayout(EtatComparatifLayout);
        EtatComparatifLayout.setHorizontalGroup(
            EtatComparatifLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 824, Short.MAX_VALUE)
        );
        EtatComparatifLayout.setVerticalGroup(
            EtatComparatifLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 620, Short.MAX_VALUE)
        );

        jTabbedPane3.addTab("Etat Comparatif", EtatComparatif);

        org.jdesktop.layout.GroupLayout ExtractionsLayout = new org.jdesktop.layout.GroupLayout(Extractions);
        Extractions.setLayout(ExtractionsLayout);
        ExtractionsLayout.setHorizontalGroup(
            ExtractionsLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(ExtractionsLayout.createSequentialGroup()
                .add(24, 24, 24)
                .add(jTabbedPane3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 829, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(22, Short.MAX_VALUE))
        );
        ExtractionsLayout.setVerticalGroup(
            ExtractionsLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(ExtractionsLayout.createSequentialGroup()
                .addContainerGap()
                .add(jTabbedPane3, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 650, Short.MAX_VALUE)
                .addContainerGap())
        );

        jTabbedPane1.addTab("Extractions", Extractions);

        Elections.setFont(new java.awt.Font("Helvetica", 0, 12));

        jTabbedPane2.setFont(new java.awt.Font("Helvetica", 0, 12)); // NOI18N

        Parametrage.setFont(new java.awt.Font("Helvetica", 0, 12));

        org.jdesktop.layout.GroupLayout ParametrageLayout = new org.jdesktop.layout.GroupLayout(Parametrage);
        Parametrage.setLayout(ParametrageLayout);
        ParametrageLayout.setHorizontalGroup(
            ParametrageLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 850, Short.MAX_VALUE)
        );
        ParametrageLayout.setVerticalGroup(
            ParametrageLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 620, Short.MAX_VALUE)
        );

        jTabbedPane2.addTab("Paramétrage", Parametrage);

        ListesElectorales.setFont(new java.awt.Font("Helvetica", 0, 12));

        org.jdesktop.layout.GroupLayout ListesElectoralesLayout = new org.jdesktop.layout.GroupLayout(ListesElectorales);
        ListesElectorales.setLayout(ListesElectoralesLayout);
        ListesElectoralesLayout.setHorizontalGroup(
            ListesElectoralesLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 850, Short.MAX_VALUE)
        );
        ListesElectoralesLayout.setVerticalGroup(
            ListesElectoralesLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(0, 620, Short.MAX_VALUE)
        );

        jTabbedPane2.addTab("Listes Electorales", ListesElectorales);

        org.jdesktop.layout.GroupLayout ElectionsLayout = new org.jdesktop.layout.GroupLayout(Elections);
        Elections.setLayout(ElectionsLayout);
        ElectionsLayout.setHorizontalGroup(
            ElectionsLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(ElectionsLayout.createSequentialGroup()
                .addContainerGap()
                .add(jTabbedPane2, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 855, Short.MAX_VALUE)
                .addContainerGap())
        );
        ElectionsLayout.setVerticalGroup(
            ElectionsLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(org.jdesktop.layout.GroupLayout.TRAILING, ElectionsLayout.createSequentialGroup()
                .addContainerGap()
                .add(jTabbedPane2, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 650, Short.MAX_VALUE)
                .addContainerGap())
        );

        jTabbedPane1.addTab("Elections", Elections);

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(jTabbedPane1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 880, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(jTabbedPane1, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 702, Short.MAX_VALUE)
                .addContainerGap())
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents
  
    // Variables declaration - do not modify//GEN-BEGIN:variables
    public javax.swing.JPanel Absences;
    public javax.swing.JPanel Activites;
    public javax.swing.JPanel DIF;
    public javax.swing.JPanel Divers;
    public javax.swing.JPanel DossierMedical;
    public javax.swing.JPanel EditionExamens;
    public javax.swing.JPanel EditionVaccins;
    public javax.swing.JPanel EditionVisites;
    public javax.swing.JPanel Editions;
    public javax.swing.JPanel Elections;
    public javax.swing.JPanel EtatComparatif;
    public javax.swing.JPanel EtatDesPersonnels;
    public javax.swing.JPanel Extractions;
    public javax.swing.JPanel ListesElectorales;
    public javax.swing.JPanel Medecins;
    public javax.swing.JPanel Parametrage;
    public javax.swing.JPanel Personnels;
    public javax.swing.JPanel ResponsablesAcmo;
    public javax.swing.JPanel Services;
    public javax.swing.JTabbedPane jTabbedPane1;
    public javax.swing.JTabbedPane jTabbedPane2;
    public javax.swing.JTabbedPane jTabbedPane3;
    public javax.swing.JTabbedPane jTabbedPane4;
    public javax.swing.JTabbedPane jTabbedPane5;
    // End of variables declaration//GEN-END:variables
                  

}
